Prepare 1.3.8-rc1
authorEthan Benson <erbenson@alaska.net>
Sun, 17 Nov 2002 03:13:10 +0000 (03:13 +0000)
committerEthan Benson <erbenson@alaska.net>
Sun, 17 Nov 2002 03:13:10 +0000 (03:13 +0000)
* Prefer $PATH_PREFIX/usr/sbin/ofpath if it exists.
* yabootconfig: Add append="video=ofonly" if the running kernel
  was booted with it.  This solves user confusion when they boot an installer with an
  install-safe label, install, then reboot the new system to find the
  console display doesn't work.  This only occurs if user does not
  specify --kernel-args so it will not interfere with distro installers
  which handle this themselves.
git-archimport-id: erbenson@alaska.net--public/yaboot--devel--1.3--patch-39

0arch-timestamps0
ChangeLog
Makefile
changelog
ybin/ofpath
ybin/yabootconfig
ybin/ybin

index 346b833f0a9b10902e8cae6e67b0d64159e92c08..baa6e7a04b2b52b19f55f38b7f0321e483c85462 100644 (file)
-./include/xfs/.arch-ids/=id    1036385859      1017069090
-./include/xfs/.arch-ids/xfs.h.id       1036385859      1017069096
-./include/xfs/.arch-ids        1037498311      1017069096
-./include/xfs/xfs.h    1036385859      1002101334
-./include/xfs  1037498311      1007269244
-./include/.arch-ids/errors.h.id        1036385857      1017069108
-./include/.arch-ids/=id        1036385857      1017027153
-./include/.arch-ids/bootinfo.h.id      1036385857      1017027154
-./include/.arch-ids/byteorder.h.id     1036385857      1017027154
-./include/.arch-ids/cfg.h.id   1036385857      1017027154
-./include/.arch-ids/cmdline.h.id       1036385857      1017027154
-./include/.arch-ids/ctype.h.id 1036385857      1017027155
-./include/.arch-ids/fdisk-part.h.id    1036385857      1017027157
-./include/.arch-ids/file.h.id  1036385857      1017027157
-./include/.arch-ids/fs.h.id    1036385857      1017027157
-./include/.arch-ids/mac-part.h.id      1036385857      1017027159
-./include/.arch-ids/md5.h.id   1036385857      1017027159
-./include/.arch-ids/partition.h.id     1036385857      1017027159
-./include/.arch-ids/prom.h.id  1036385857      1017027159
-./include/.arch-ids/setjm2.h.id        1036385857      1017027160
-./include/.arch-ids/setjmp.h.id        1036385857      1017027160
-./include/.arch-ids/stdlib.h.id        1036385857      1017027161
-./include/.arch-ids/string.h.id        1036385857      1017027161
-./include/.arch-ids/swab.h.id  1036385857      1017027161
-./include/.arch-ids/types.h.id 1036385857      1017027162
-./include/.arch-ids/yaboot.h.id        1036385857      1017027162
-./include/.arch-ids/debug.h.id 1036385857      1017154770
-./include/.arch-ids    1037498311      1017154770
-./include/asm/.arch-ids/=id    1036385857      1017027153
-./include/asm/.arch-ids/elf.h.id       1036385857      1017027153
-./include/asm/.arch-ids/ppc_asm.tmpl.id        1036385857      1017027153
-./include/asm/.arch-ids/processor.h.id 1036385857      1017027154
-./include/asm/.arch-ids        1037498311      1017027154
-./include/asm/elf.h    1036385857      1000991730
-./include/asm/ppc_asm.tmpl     1036385857      1000991730
-./include/asm/processor.h      1036385858      1000991730
-./include/asm  1037498311      1007269243
-./include/et/.arch-ids/=id     1036385858      1017027155
-./include/et/.arch-ids/com_err.h.id    1036385858      1017027155
-./include/et/.arch-ids 1037498311      1017155400
-./include/et/com_err.h 1036385858      1000991731
-./include/et   1037498311      1007269243
-./include/ext2fs/.arch-ids/=id 1036385858      1017027156
-./include/ext2fs/.arch-ids/bitops.h.id 1036385858      1017027156
-./include/ext2fs/.arch-ids/ext2_err.h.id       1036385858      1017027156
-./include/ext2fs/.arch-ids/ext2_io.h.id        1036385858      1017027156
-./include/ext2fs/.arch-ids/ext2fs.h.id 1036385858      1017027156
-./include/ext2fs/.arch-ids     1037498311      1017027156
-./include/ext2fs/bitops.h      1036385858      1003927524
-./include/ext2fs/ext2_err.h    1036385858      1003927524
-./include/ext2fs/ext2_io.h     1036385858      1003927524
-./include/ext2fs/ext2fs.h      1036385858      1003927524
-./include/ext2fs       1037498311      1007269243
-./include/linux/.arch-ids/=id  1036385858      1017027157
-./include/linux/.arch-ids/elf.h.id     1036385858      1017027158
-./include/linux/.arch-ids/ext2_fs.h.id 1036385858      1017027158
-./include/linux/.arch-ids/iso_fs.h.id  1036385858      1017027158
-./include/linux/.arch-ids/stat.h.id    1036385858      1017027158
-./include/linux/.arch-ids/types.h.id   1036385858      1017027159
-./include/linux/.arch-ids      1037498311      1017027159
-./include/linux/elf.h  1036385859      1000991731
-./include/linux/ext2_fs.h      1036385859      1000991731
-./include/linux/iso_fs.h       1036385859      1000991731
-./include/linux/stat.h 1036385859      1000991731
-./include/linux/types.h        1036385859      1000991731
-./include/linux        1037498311      1007269243
-./include/reiserfs/.arch-ids/=id       1036385859      1017027160
-./include/reiserfs/.arch-ids/reiserfs.h.id     1036385859      1017027160
-./include/reiserfs/.arch-ids   1037498311      1017027160
-./include/reiserfs/reiserfs.h  1036385859      1025684115
-./include/reiserfs     1037498311      1025684115
-./include/errors.h     1036385858      1007200690
-./include/bootinfo.h   1036385858      1007200690
-./include/byteorder.h  1036385858      1000991730
-./include/cfg.h        1036385858      1007200690
-./include/cmdline.h    1036385858      1007200690
-./include/ctype.h      1036385858      1003656411
-./include/fdisk-part.h 1036385858      1007200690
-./include/file.h       1036385858      1007200690
-./include/fs.h 1036385858      1007200690
-./include/mac-part.h   1036385859      1007200690
-./include/md5.h        1036385859      1000991730
-./include/partition.h  1036385859      1007200690
-./include/prom.h       1036385859      1007200690
-./include/setjm2.h     1036385859      1000991730
-./include/setjmp.h     1036385859      1000991730
-./include/stdlib.h     1036385859      1000991730
-./include/string.h     1036385859      1002620217
-./include/swab.h       1036385859      1000991730
-./include/types.h      1036385859      1000991730
-./include/yaboot.h     1036385859      1007200690
-./include/debug.h      1036385858      1007200690
-./include      1037498311      1007269244
-./second/.arch-ids/fs_xfs.c.id 1036385861      1017069120
-./second/.arch-ids/=id 1036385860      1017027166
-./second/.arch-ids/cache.S.id  1036385860      1017027167
-./second/.arch-ids/cfg.c.id    1036385860      1017027167
-./second/.arch-ids/cmdline.c.id        1036385860      1017027167
-./second/.arch-ids/crt0.S.id   1036385861      1017027167
-./second/.arch-ids/file.c.id   1036385861      1017027167
-./second/.arch-ids/fs.c.id     1036385861      1017027168
-./second/.arch-ids/fs_ext2.c.id        1036385861      1017027168
-./second/.arch-ids/fs_iso.c.id 1036385861      1017027168
-./second/.arch-ids/fs_of.c.id  1036385861      1017027168
-./second/.arch-ids/fs_reiserfs.c.id    1036385861      1017027169
-./second/.arch-ids/iso_util.c.id       1036385861      1017027170
-./second/.arch-ids/md5.c.id    1036385861      1017027170
-./second/.arch-ids/partition.c.id      1036385861      1017027170
-./second/.arch-ids/prom.c.id   1036385861      1017027170
-./second/.arch-ids/setjmp.S.id 1036385861      1017027171
-./second/.arch-ids/yaboot.c.id 1036385861      1017027171
-./second/.arch-ids     1037498311      1017069120
-./second/fs_xfs.c      1036385861      1032059541
-./second/cache.S       1036385861      1007200690
-./second/cfg.c 1036385861      1007200690
-./second/cmdline.c     1036385861      1032059589
-./second/crt0.S        1036385861      1000991731
-./second/file.c        1036385861      1032059581
-./second/fs.c  1036385861      1032059574
-./second/fs_ext2.c     1036385861      1032059564
-./second/fs_iso.c      1036385861      1007200690
-./second/fs_of.c       1036385861      1032059553
-./second/fs_reiserfs.c 1036385861      1007200690
-./second/iso_util.c    1036385861      1003656415
-./second/md5.c 1036385861      1032059532
-./second/partition.c   1036385861      1032059525
-./second/prom.c        1036385861      1032059515
-./second/setjmp.S      1036385861      1000991732
-./second/yaboot.c      1036385862      1032059504
-./second       1037498311      1032765950
-./.arch-ids/Config.id  1036385855      1017069133
-./.arch-ids/0arch-timestamps0.id       1036385854      1020516949
-./.arch-ids/ChangeLog.id       1036385855      1017026820
-./.arch-ids/BUGS.id    1036385855      1017027147
-./.arch-ids/COPYING.id 1036385855      1017027147
-./.arch-ids/INSTALL.id 1036385855      1017027147
-./.arch-ids/Makefile.id        1036385855      1017027148
-./.arch-ids/README.id  1036385855      1017027148
-./.arch-ids/README.man.patch.id        1036385855      1017027148
-./.arch-ids/THANKS.id  1036385855      1017027148
-./.arch-ids/TODO.id    1036385855      1017027149
-./.arch-ids/changelog.id       1036385855      1017027149
-./.arch-ids/man.patch.id       1036385855      1017027166
-./.arch-ids    1037498311      1020516949
-./doc/.arch-ids/=id    1036385855      1017027149
-./doc/.arch-ids/README.ofboot.id       1036385855      1017027149
-./doc/.arch-ids/README.ofpath.id       1036385856      1017027149
-./doc/.arch-ids/README.rs6000.id       1036385856      1017027150
-./doc/.arch-ids/Makefile.id    1036385855      1017235762
-./doc/.arch-ids/yaboot-howto.sgml.id   1036385856      1017235765
-./doc/.arch-ids/yaboot-howto.de.sgml.id        1036385856      1017238100
-./doc/.arch-ids        1037498311      1017238100
-./doc/examples/.arch-ids/=id   1036385856      1017027150
-./doc/examples/.arch-ids/README.dualboot.chrp.id       1036385856      1017027150
-./doc/examples/.arch-ids/README.mbicons.id     1036385856      1017027150
-./doc/examples/.arch-ids/README.simpleboot.chrp.id     1036385856      1017027150
-./doc/examples/.arch-ids/dualboot.chrp.id      1036385856      1017027151
-./doc/examples/.arch-ids/large-penguin.mbicon.id       1036385856      1017027151
-./doc/examples/.arch-ids/simpleboot.chrp.id    1036385856      1017027151
-./doc/examples/.arch-ids/yaboot.conf.multi-boot.id     1036385856      1017027151
-./doc/examples/.arch-ids/yaboot.conf.rs6000.id 1036385856      1017027152
-./doc/examples/.arch-ids       1037498311      1017236175
-./doc/examples/README.dualboot.chrp    1036385856      1000991730
-./doc/examples/README.mbicons  1036385856      1000991730
-./doc/examples/README.simpleboot.chrp  1036385856      1000991730
-./doc/examples/dualboot.chrp   1036385856      1000991730
-./doc/examples/large-penguin.mbicon    1036385856      1000991730
-./doc/examples/simpleboot.chrp 1036385856      1006347336
-./doc/examples/yaboot.conf.multi-boot  1036385856      1006348765
-./doc/examples/yaboot.conf.rs6000      1036385856      1006348765
-./doc/examples 1037498311      1007269243
-./doc/README.ofboot    1036385856      1000991730
-./doc/README.ofpath    1036385856      1000991730
-./doc/README.rs6000    1036385856      1007200689
-./doc/Makefile 1036385856      1019310768
-./doc/yaboot-howto.sgml        1036385856      1032059987
-./doc/yaboot-howto.de.sgml     1036385856      1032059970
-./doc  1037498311      1032059987
-./etc/.arch-ids/=id    1036385856      1017027152
-./etc/.arch-ids/yaboot.conf.id 1036385856      1017027152
-./etc/.arch-ids        1037498311      1017027152
-./etc/yaboot.conf      1036385857      1006348765
-./etc  1037498311      1007269243
-./first/.arch-ids/=id  1036385857      1017027152
-./first/.arch-ids/ofboot.id    1036385857      1017027152
-./first/.arch-ids      1037498311      1017027152
-./first/ofboot 1036385857      1032060202
-./first        1037498311      1032060202
-./lib/.arch-ids/=id    1036385859      1017027162
-./lib/.arch-ids/ctype.c.id     1036385859      1017027163
-./lib/.arch-ids/libext2fs.a.id 1036385859      1017027163
-./lib/.arch-ids/malloc.c.id    1036385859      1017027163
-./lib/.arch-ids/nosys.c.id     1036385859      1017027163
-./lib/.arch-ids/string.S.id    1036385859      1017027163
-./lib/.arch-ids/strstr.c.id    1036385859      1017027164
-./lib/.arch-ids/strtol.c.id    1036385859      1017027164
-./lib/.arch-ids/vsprintf.c.id  1036385859      1017027164
-./lib/.arch-ids        1037498311      1017027164
-./lib/ctype.c  1036385859      1000991731
-./lib/libext2fs.a      1036385860      1003927524
-./lib/malloc.c 1036385860      1007200690
-./lib/nosys.c  1036385860      1000991731
-./lib/string.S 1036385860      1007200690
-./lib/strstr.c 1036385860      1000991731
-./lib/strtol.c 1036385860      1000991731
-./lib/vsprintf.c       1036385860      1000991731
-./lib  1037498311      1014816709
-./man/.arch-ids/=id    1036385860      1017027164
-./man/.arch-ids/bootstrap.8.id 1036385860      1017027165
-./man/.arch-ids/mkofboot.8.id  1036385860      1017027165
-./man/.arch-ids/ofpath.8.id    1036385860      1017027165
-./man/.arch-ids/yaboot.8.id    1036385860      1017027165
-./man/.arch-ids/yaboot.conf.5.id       1036385860      1017027166
-./man/.arch-ids/yabootconfig.8.id      1036385860      1017027166
-./man/.arch-ids/ybin.8.id      1036385860      1017027166
-./man/.arch-ids        1037498311      1017027166
-./man/bootstrap.8      1036385860      1000991731
-./man/mkofboot.8       1036385860      1006348765
-./man/ofpath.8 1036385860      1000991731
-./man/yaboot.8 1036385860      1006348765
-./man/yaboot.conf.5    1036385860      1004256691
-./man/yabootconfig.8   1036385860      1027929577
-./man/ybin.8   1036385860      1006348765
-./man  1037498311      1027929577
-./util/.arch-ids/=id   1036385862      1017027171
-./util/.arch-ids/addnote.c.id  1036385862      1017027171
-./util/.arch-ids/elfextract.c.id       1036385862      1017027172
-./util/.arch-ids       1037498311      1017027172
-./util/addnote.c       1036385862      1007200691
-./util/elfextract.c    1036385862      1007303237
-./util 1037498311      1014816709
-./ybin/.arch-ids/=id   1036385862      1017027172
-./ybin/.arch-ids/mkofboot.id   1036385862      1017027172
-./ybin/.arch-ids/ofpath.id     1036385862      1017027172
-./ybin/.arch-ids/yabootconfig.id       1036385862      1017027172
-./ybin/.arch-ids/ybin.id       1036385862      1017027173
-./ybin/.arch-ids       1037498311      1017027173
-./ybin/mkofboot        1037497863      1030918600
-./ybin/ofpath  1037498135      1037498263
-./ybin/yabootconfig    1036385862      1033252801
-./ybin/ybin    1036385862      1035678761
-./ybin 1037498311      1037498263
-./Config       1036385884      1002101497
-./0arch-timestamps0    1036385855      1037498311
-./ChangeLog    1036385855      1036288830
-./BUGS 1036385855      1000991730
-./COPYING      1036385855      1000991730
-./INSTALL      1036385855      1000991730
-./README       1036385855      1033253141
-./README.man.patch     1036385855      1000991730
-./THANKS       1036385855      1006350263
-./TODO 1036385855      1006527567
-./changelog    1036385855      1033275819
-./man.patch    1036385860      1006348761
-./Makefile     1036385884      1035678742
-.      1037498311      1036385885
+./include/xfs/.arch-ids/=id    1037502189      1017069090
+./include/xfs/.arch-ids/xfs.h.id       1037502189      1017069096
+./include/xfs/.arch-ids        1037502546      1017069096
+./include/xfs/xfs.h    1037502189      1002101334
+./include/xfs  1037502546      1007269244
+./include/.arch-ids/errors.h.id        1037502187      1017069108
+./include/.arch-ids/=id        1037502186      1017027153
+./include/.arch-ids/bootinfo.h.id      1037502187      1017027154
+./include/.arch-ids/byteorder.h.id     1037502187      1017027154
+./include/.arch-ids/cfg.h.id   1037502187      1017027154
+./include/.arch-ids/cmdline.h.id       1037502187      1017027154
+./include/.arch-ids/ctype.h.id 1037502187      1017027155
+./include/.arch-ids/fdisk-part.h.id    1037502187      1017027157
+./include/.arch-ids/file.h.id  1037502187      1017027157
+./include/.arch-ids/fs.h.id    1037502187      1017027157
+./include/.arch-ids/mac-part.h.id      1037502187      1017027159
+./include/.arch-ids/md5.h.id   1037502187      1017027159
+./include/.arch-ids/partition.h.id     1037502187      1017027159
+./include/.arch-ids/prom.h.id  1037502187      1017027159
+./include/.arch-ids/setjm2.h.id        1037502187      1017027160
+./include/.arch-ids/setjmp.h.id        1037502187      1017027160
+./include/.arch-ids/stdlib.h.id        1037502187      1017027161
+./include/.arch-ids/string.h.id        1037502187      1017027161
+./include/.arch-ids/swab.h.id  1037502187      1017027161
+./include/.arch-ids/types.h.id 1037502187      1017027162
+./include/.arch-ids/yaboot.h.id        1037502187      1017027162
+./include/.arch-ids/debug.h.id 1037502187      1017154770
+./include/.arch-ids    1037502546      1017154770
+./include/asm/.arch-ids/=id    1037502187      1017027153
+./include/asm/.arch-ids/elf.h.id       1037502187      1017027153
+./include/asm/.arch-ids/ppc_asm.tmpl.id        1037502187      1017027153
+./include/asm/.arch-ids/processor.h.id 1037502187      1017027154
+./include/asm/.arch-ids        1037502546      1017027154
+./include/asm/elf.h    1037502187      1000991730
+./include/asm/ppc_asm.tmpl     1037502187      1000991730
+./include/asm/processor.h      1037502187      1000991730
+./include/asm  1037502546      1007269243
+./include/et/.arch-ids/=id     1037502187      1017027155
+./include/et/.arch-ids/com_err.h.id    1037502187      1017027155
+./include/et/.arch-ids 1037502546      1017155400
+./include/et/com_err.h 1037502188      1000991731
+./include/et   1037502546      1007269243
+./include/ext2fs/.arch-ids/=id 1037502188      1017027156
+./include/ext2fs/.arch-ids/bitops.h.id 1037502188      1017027156
+./include/ext2fs/.arch-ids/ext2_err.h.id       1037502188      1017027156
+./include/ext2fs/.arch-ids/ext2_io.h.id        1037502188      1017027156
+./include/ext2fs/.arch-ids/ext2fs.h.id 1037502188      1017027156
+./include/ext2fs/.arch-ids     1037502546      1017027156
+./include/ext2fs/bitops.h      1037502188      1003927524
+./include/ext2fs/ext2_err.h    1037502188      1003927524
+./include/ext2fs/ext2_io.h     1037502188      1003927524
+./include/ext2fs/ext2fs.h      1037502188      1003927524
+./include/ext2fs       1037502546      1007269243
+./include/linux/.arch-ids/=id  1037502188      1017027157
+./include/linux/.arch-ids/elf.h.id     1037502188      1017027158
+./include/linux/.arch-ids/ext2_fs.h.id 1037502188      1017027158
+./include/linux/.arch-ids/iso_fs.h.id  1037502188      1017027158
+./include/linux/.arch-ids/stat.h.id    1037502188      1017027158
+./include/linux/.arch-ids/types.h.id   1037502188      1017027159
+./include/linux/.arch-ids      1037502546      1017027159
+./include/linux/elf.h  1037502188      1000991731
+./include/linux/ext2_fs.h      1037502188      1000991731
+./include/linux/iso_fs.h       1037502188      1000991731
+./include/linux/stat.h 1037502188      1000991731
+./include/linux/types.h        1037502188      1000991731
+./include/linux        1037502546      1007269243
+./include/reiserfs/.arch-ids/=id       1037502188      1017027160
+./include/reiserfs/.arch-ids/reiserfs.h.id     1037502188      1017027160
+./include/reiserfs/.arch-ids   1037502546      1017027160
+./include/reiserfs/reiserfs.h  1037502188      1025684115
+./include/reiserfs     1037502546      1025684115
+./include/errors.h     1037502187      1007200690
+./include/bootinfo.h   1037502187      1007200690
+./include/byteorder.h  1037502187      1000991730
+./include/cfg.h        1037502187      1007200690
+./include/cmdline.h    1037502187      1007200690
+./include/ctype.h      1037502187      1003656411
+./include/fdisk-part.h 1037502188      1007200690
+./include/file.h       1037502188      1007200690
+./include/fs.h 1037502188      1007200690
+./include/mac-part.h   1037502188      1007200690
+./include/md5.h        1037502188      1000991730
+./include/partition.h  1037502188      1007200690
+./include/prom.h       1037502188      1007200690
+./include/setjm2.h     1037502188      1000991730
+./include/setjmp.h     1037502188      1000991730
+./include/stdlib.h     1037502188      1000991730
+./include/string.h     1037502188      1002620217
+./include/swab.h       1037502188      1000991730
+./include/types.h      1037502188      1000991730
+./include/yaboot.h     1037502189      1007200690
+./include/debug.h      1037502187      1007200690
+./include      1037502546      1007269244
+./second/.arch-ids/fs_xfs.c.id 1037502190      1017069120
+./second/.arch-ids/=id 1037502190      1017027166
+./second/.arch-ids/cache.S.id  1037502190      1017027167
+./second/.arch-ids/cfg.c.id    1037502190      1017027167
+./second/.arch-ids/cmdline.c.id        1037502190      1017027167
+./second/.arch-ids/crt0.S.id   1037502190      1017027167
+./second/.arch-ids/file.c.id   1037502190      1017027167
+./second/.arch-ids/fs.c.id     1037502190      1017027168
+./second/.arch-ids/fs_ext2.c.id        1037502190      1017027168
+./second/.arch-ids/fs_iso.c.id 1037502190      1017027168
+./second/.arch-ids/fs_of.c.id  1037502190      1017027168
+./second/.arch-ids/fs_reiserfs.c.id    1037502190      1017027169
+./second/.arch-ids/iso_util.c.id       1037502190      1017027170
+./second/.arch-ids/md5.c.id    1037502190      1017027170
+./second/.arch-ids/partition.c.id      1037502190      1017027170
+./second/.arch-ids/prom.c.id   1037502190      1017027170
+./second/.arch-ids/setjmp.S.id 1037502190      1017027171
+./second/.arch-ids/yaboot.c.id 1037502190      1017027171
+./second/.arch-ids     1037502546      1017069120
+./second/fs_xfs.c      1037502190      1032059541
+./second/cache.S       1037502190      1007200690
+./second/cfg.c 1037502190      1007200690
+./second/cmdline.c     1037502190      1032059589
+./second/crt0.S        1037502190      1000991731
+./second/file.c        1037502190      1032059581
+./second/fs.c  1037502190      1032059574
+./second/fs_ext2.c     1037502190      1032059564
+./second/fs_iso.c      1037502190      1007200690
+./second/fs_of.c       1037502190      1032059553
+./second/fs_reiserfs.c 1037502190      1007200690
+./second/iso_util.c    1037502190      1003656415
+./second/md5.c 1037502190      1032059532
+./second/partition.c   1037502190      1032059525
+./second/prom.c        1037502190      1032059515
+./second/setjmp.S      1037502190      1000991732
+./second/yaboot.c      1037502191      1032059504
+./second       1037502546      1032765950
+./.arch-ids/Config.id  1037502185      1017069133
+./.arch-ids/0arch-timestamps0.id       1037502185      1020516949
+./.arch-ids/ChangeLog.id       1037502185      1017026820
+./.arch-ids/BUGS.id    1037502185      1017027147
+./.arch-ids/COPYING.id 1037502185      1017027147
+./.arch-ids/INSTALL.id 1037502185      1017027147
+./.arch-ids/Makefile.id        1037502185      1017027148
+./.arch-ids/README.id  1037502185      1017027148
+./.arch-ids/README.man.patch.id        1037502185      1017027148
+./.arch-ids/THANKS.id  1037502185      1017027148
+./.arch-ids/TODO.id    1037502185      1017027149
+./.arch-ids/changelog.id       1037502185      1017027149
+./.arch-ids/man.patch.id       1037502185      1017027166
+./.arch-ids    1037502546      1020516949
+./doc/.arch-ids/=id    1037502185      1017027149
+./doc/.arch-ids/README.ofboot.id       1037502185      1017027149
+./doc/.arch-ids/README.ofpath.id       1037502186      1017027149
+./doc/.arch-ids/README.rs6000.id       1037502186      1017027150
+./doc/.arch-ids/Makefile.id    1037502185      1017235762
+./doc/.arch-ids/yaboot-howto.sgml.id   1037502186      1017235765
+./doc/.arch-ids/yaboot-howto.de.sgml.id        1037502186      1017238100
+./doc/.arch-ids        1037502546      1017238100
+./doc/examples/.arch-ids/=id   1037502186      1017027150
+./doc/examples/.arch-ids/README.dualboot.chrp.id       1037502186      1017027150
+./doc/examples/.arch-ids/README.mbicons.id     1037502186      1017027150
+./doc/examples/.arch-ids/README.simpleboot.chrp.id     1037502186      1017027150
+./doc/examples/.arch-ids/dualboot.chrp.id      1037502186      1017027151
+./doc/examples/.arch-ids/large-penguin.mbicon.id       1037502186      1017027151
+./doc/examples/.arch-ids/simpleboot.chrp.id    1037502186      1017027151
+./doc/examples/.arch-ids/yaboot.conf.multi-boot.id     1037502186      1017027151
+./doc/examples/.arch-ids/yaboot.conf.rs6000.id 1037502186      1017027152
+./doc/examples/.arch-ids       1037502546      1017236175
+./doc/examples/README.dualboot.chrp    1037502186      1000991730
+./doc/examples/README.mbicons  1037502186      1000991730
+./doc/examples/README.simpleboot.chrp  1037502186      1000991730
+./doc/examples/dualboot.chrp   1037502186      1000991730
+./doc/examples/large-penguin.mbicon    1037502186      1000991730
+./doc/examples/simpleboot.chrp 1037502186      1006347336
+./doc/examples/yaboot.conf.multi-boot  1037502186      1006348765
+./doc/examples/yaboot.conf.rs6000      1037502186      1006348765
+./doc/examples 1037502546      1007269243
+./doc/README.ofboot    1037502186      1000991730
+./doc/README.ofpath    1037502186      1000991730
+./doc/README.rs6000    1037502186      1007200689
+./doc/Makefile 1037502186      1019310768
+./doc/yaboot-howto.sgml        1037502186      1032059987
+./doc/yaboot-howto.de.sgml     1037502186      1032059970
+./doc  1037502546      1032059987
+./etc/.arch-ids/=id    1037502186      1017027152
+./etc/.arch-ids/yaboot.conf.id 1037502186      1017027152
+./etc/.arch-ids        1037502546      1017027152
+./etc/yaboot.conf      1037502186      1006348765
+./etc  1037502546      1007269243
+./first/.arch-ids/=id  1037502186      1017027152
+./first/.arch-ids/ofboot.id    1037502186      1017027152
+./first/.arch-ids      1037502546      1017027152
+./first/ofboot 1037502186      1032060202
+./first        1037502546      1032060202
+./lib/.arch-ids/=id    1037502189      1017027162
+./lib/.arch-ids/ctype.c.id     1037502189      1017027163
+./lib/.arch-ids/libext2fs.a.id 1037502189      1017027163
+./lib/.arch-ids/malloc.c.id    1037502189      1017027163
+./lib/.arch-ids/nosys.c.id     1037502189      1017027163
+./lib/.arch-ids/string.S.id    1037502189      1017027163
+./lib/.arch-ids/strstr.c.id    1037502189      1017027164
+./lib/.arch-ids/strtol.c.id    1037502189      1017027164
+./lib/.arch-ids/vsprintf.c.id  1037502189      1017027164
+./lib/.arch-ids        1037502546      1017027164
+./lib/ctype.c  1037502189      1000991731
+./lib/libext2fs.a      1037502189      1003927524
+./lib/malloc.c 1037502189      1007200690
+./lib/nosys.c  1037502189      1000991731
+./lib/string.S 1037502189      1007200690
+./lib/strstr.c 1037502189      1000991731
+./lib/strtol.c 1037502189      1000991731
+./lib/vsprintf.c       1037502189      1000991731
+./lib  1037502546      1014816709
+./man/.arch-ids/=id    1037502189      1017027164
+./man/.arch-ids/bootstrap.8.id 1037502189      1017027165
+./man/.arch-ids/mkofboot.8.id  1037502189      1017027165
+./man/.arch-ids/ofpath.8.id    1037502189      1017027165
+./man/.arch-ids/yaboot.8.id    1037502189      1017027165
+./man/.arch-ids/yaboot.conf.5.id       1037502189      1017027166
+./man/.arch-ids/yabootconfig.8.id      1037502189      1017027166
+./man/.arch-ids/ybin.8.id      1037502189      1017027166
+./man/.arch-ids        1037502546      1017027166
+./man/bootstrap.8      1037502189      1000991731
+./man/mkofboot.8       1037502189      1006348765
+./man/ofpath.8 1037502189      1000991731
+./man/yaboot.8 1037502189      1006348765
+./man/yaboot.conf.5    1037502189      1004256691
+./man/yabootconfig.8   1037502189      1027929577
+./man/ybin.8   1037502190      1006348765
+./man  1037502546      1027929577
+./util/.arch-ids/=id   1037502191      1017027171
+./util/.arch-ids/addnote.c.id  1037502191      1017027171
+./util/.arch-ids/elfextract.c.id       1037502191      1017027172
+./util/.arch-ids       1037502546      1017027172
+./util/addnote.c       1037502191      1007200691
+./util/elfextract.c    1037502191      1007303237
+./util 1037502546      1014816709
+./ybin/.arch-ids/=id   1037502191      1017027172
+./ybin/.arch-ids/mkofboot.id   1037502191      1017027172
+./ybin/.arch-ids/ofpath.id     1037502191      1017027172
+./ybin/.arch-ids/yabootconfig.id       1037502191      1017027172
+./ybin/.arch-ids/ybin.id       1037502191      1017027173
+./ybin/.arch-ids       1037502546      1017027173
+./ybin/mkofboot        1037502191      1030918600
+./ybin/ofpath  1037502191      1037499958
+./ybin/yabootconfig    1037502191      1037500382
+./ybin/ybin    1037502191      1037499892
+./ybin 1037502546      1037500382
+./Config       1037502185      1002101497
+./0arch-timestamps0    1037502185      1037502546
+./ChangeLog    1037502185      1037498541
+./BUGS 1037502185      1000991730
+./COPYING      1037502185      1000991730
+./INSTALL      1037502185      1000991730
+./README       1037502185      1033253141
+./README.man.patch     1037502185      1000991730
+./THANKS       1037502185      1006350263
+./TODO 1037502185      1006527567
+./changelog    1037502185      1037502537
+./man.patch    1037502189      1006348761
+./Makefile     1037502185      1037500435
+.      1037502546      1037502542
index b4f62a5d2748bc7b127a5ead0ca9956bc2686ffa..b4ac0c61ab1dd27fd05703b168e2235636da486b 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -2,6 +2,26 @@
 # tag: automatic-ChangeLog--erbenson@alaska.net--public/yaboot--devel--1.3
 #
 
+2002-11-17 03:13:10 GMT        Ethan Benson <erbenson@alaska.net>      patch-39
+
+    Summary:
+      Prepare 1.3.8-rc1
+    Revision:
+      yaboot--devel--1.3--patch-39
+
+    * Prefer $PATH_PREFIX/usr/sbin/ofpath if it exists.
+    * yabootconfig: Add append="video=ofonly" if the running kernel
+      was booted with it.  This solves user confusion when they boot an installer with an
+      install-safe label, install, then reboot the new system to find the
+      console display doesn't work.  This only occurs if user does not
+      specify --kernel-args so it will not interfere with distro installers
+      which handle this themselves.
+
+    modified files:
+     0arch-timestamps0 ChangeLog Makefile changelog ybin/ofpath
+     ybin/yabootconfig ybin/ybin
+
+
 2002-11-17 02:02:17 GMT        Ethan Benson <erbenson@alaska.net>      patch-38
 
     Summary:
index 175ec8b01e53743feb3e2d11abe7f33e45283926..73f21dbbcc5af7c0483c41119e503ed207d1450c 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -2,7 +2,7 @@
 
 include Config
 
-VERSION = 1.3.8-UNSUPPORTED_DEVEL_DO_NOT_DISTRIBUTE
+VERSION = 1.3.8-rc1
 # Debug mode (spam/verbose)
 DEBUG = 0
 # make install vars
index 7d27ea608a5a207034012ca0abee9849be45654a..a9e3453705c9e0f9bc075095a774997cd1f84d94 100644 (file)
--- a/changelog
+++ b/changelog
@@ -1,3 +1,14 @@
+2002-11-16  Ethan Benson  <erbenson@alaska.net>
+
+       * Version 1.3.8-rc1
+
+       * ofpath: Support new Xserve and Windtunnel PowerMacs.
+
+       * Prefer $PATH_PREFIX/usr/sbin/ofpath if it exists.
+
+       * yabootconfig: Add append="video=ofonly" if the running kernel
+         was booted with it, only if user does not specify --kernel-args.
+
 2002-9-28  Ethan Benson  <erbenson@alaska.net>
 
        * Version 1.3.7
index 981da9d22b4cdaf0ea28e45f43cb106e6668e0e8..0f944e2ef7f7ee52d179462dce69f9d3a80bbbb6 100755 (executable)
@@ -27,7 +27,7 @@
 
 PATH="/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin"
 PRG="${0##*/}"
-VERSION=1.0.3-DEVEL_DO_NOT_DISTRIBUTE-patch-38
+VERSION=1.0.3-rc1
 DEBUG=0
 export LC_COLLATE=C
 
index fae93b3e2a8619f2f60caef6528915bb6c7ceb15..6bff20f8b385be30d5a8a683af6f54cf3aee16af 100755 (executable)
@@ -27,7 +27,7 @@ if [ -n "$PATH_PREFIX" ] ; then
     PATH="${PATH}:${PATH_PREFIX}/sbin:${PATH_PREFIX}/bin:${PATH_PREFIX}/usr/sbin:${PATH_PREFIX}/usr/bin:${PATH_PREFIX}/usr/local/sbin:${PATH_PREFIX}/usr/local/bin"
 fi
 PRG="${0##*/}"
-VERSION=1.0.6
+VERSION=1.0.7-rc1
 CHROOT=/
 ## $CONFIG is relative to $CHROOT
 CONFIG=etc/yaboot.conf
@@ -37,6 +37,13 @@ DEBUG=0
 SIGINT="$PRG: Interrupt caught ... exiting"
 export LC_COLLATE=C
 
+## avoid older versions of ofpath shipped in debian boot-floppies etc.
+if [ -x "${PATH_PREFIX}/usr/sbin/ofpath" ] ; then
+    OFPATH="${PATH_PREFIX}/usr/sbin/ofpath"
+else
+    OFPATH=ofpath
+fi
+
 ## catch signals, clean up temporary file
 trap "cleanup" 0
 trap "exit 129" 1
@@ -501,7 +508,7 @@ fi
 
 ## only powermacs appear to need device=
 if (cat /proc/cpuinfo 2>/dev/null | grep -q pmac-generation 2> /dev/null) ; then
-    DEVICE="\ndevice=$(ofpath $KERNELDISK)"
+    DEVICE="\ndevice=$($OFPATH $KERNELDISK)"
     if [ $? != 0 ] ; then
        echo 1>&2 "$PRG: Unable to determine OpenFirmware device name to $KERNELDISK, aborting..."
        exit 1
@@ -563,6 +570,15 @@ if [ -n "$KERNARGS" ] ; then
     APPEND="\tappend=\"${KERNARGS}\"\n"
 fi
 
+## avoid user confusion when they boot an installer with video=ofonly
+## (usually via a install-safe label) and then reboot and have the box
+## not boot properly again.
+if [ -z "$APPEND" ] ; then
+    if (grep -q '\<video=ofonly\>' /proc/cmdline 2> /dev/null) ; then
+       APPEND="\tappend=\"video=ofonly\"\n"
+    fi
+fi
+
 ## generate global section of yaboot.conf
 GLOBAL="## yaboot.conf generated by $PRG $VERSION
 ##
index 82ddda56c071ef21eaba1b4da8cfb0e3d21d4cc0..812afe28cd0f80ec632dff5a1019925c36633a5e 100755 (executable)
--- a/ybin/ybin
+++ b/ybin/ybin
@@ -28,12 +28,19 @@ if [ -n "$PATH_PREFIX" ] ; then
 fi
 PRG="${0##*/}"
 SIGINT="$PRG: Interrupt caught ... exiting"
-VERSION=1.3.8-UNSUPPORTED_DEVEL_DO_NOT_DISTRIBUTE
+VERSION=1.3.8-rc1
 DEBUG=0
 VERBOSE=0
 TMP="${TMPDIR:-/tmp}"
 export LC_COLLATE=C
 
+## avoid older versions of ofpath shipped in debian boot-floppies etc.
+if [ -x "${PATH_PREFIX}/usr/sbin/ofpath" ] ; then
+    OFPATH="${PATH_PREFIX}/usr/sbin/ofpath"
+else
+    OFPATH=ofpath
+fi
+
 ## catch signals, clean up junk in /tmp.
 trap "cleanup" 0
 trap "exit 129" 1
@@ -600,7 +607,7 @@ convertpath()
     ## figure out bootstrap device OF pathname if user did not supply it.
     if [ -z "$ofboot" ] ; then
        [ "$VERBOSE" = 1 ] && echo "$PRG: Finding OpenFirmware device path to \`$boot'..."
-       ofboot="$(ofpath $boot)"
+       ofboot="$($OFPATH $boot)"
        if [ $? != 0 ] ; then
            echo 1>&2 "$PRG: Unable to find OpenFirmware path for boot=$boot"
            echo 1>&2 "$PRG: Please add ofboot=<path> where <path> is the OpenFirmware path to $boot to $CONF"
@@ -615,7 +622,7 @@ convertpath()
            /dev/*)
                [ "$VERBOSE" = 1 ] && echo "$PRG: Finding OpenFirmware device path to \`$bsd'..."
                local sbsd="$bsd"
-               bsd="$(ofpath $bsd)"
+               bsd="$($OFPATH $bsd)"
                if [ $? != 0 ] ; then
                    echo 1>&2 "$PRG: Unable to determine OpenFirmware path for bsd=$sbsd"
                    echo 1>&2 "$PRG: Try specifying the real OpenFirmware path for bsd=$sbsd in $CONF"
@@ -634,7 +641,7 @@ convertpath()
            /dev/*)
                [ "$VERBOSE" = 1 ] && echo "$PRG: Finding OpenFirmware device path to \`$macos'..."
                local smacos="$macos"
-               macos="$(ofpath $macos)"
+               macos="$($OFPATH $macos)"
                if [ $? != 0 ] ; then
                    echo 1>&2 "$PRG: Unable to determine OpenFirmware path for macos=$smacos"
                    echo 1>&2 "$PRG: Try specifying the real OpenFirmware path for macos=$smacos in $CONF"
@@ -653,7 +660,7 @@ convertpath()
            /dev/*)
                [ "$VERBOSE" = 1 ] && echo "$PRG: Finding OpenFirmware device path to \`$macosx'..."
                local smacosx="$macosx"
-               macosx="$(ofpath $macosx)"
+               macosx="$($OFPATH $macosx)"
                if [ $? != 0 ] ; then
                    echo 1>&2 "$PRG: Unable to determine OpenFirmware path for macosx=$smacosx"
                    echo 1>&2 "$PRG: Try specifying the real OpenFirmware path for macosx=$smacosx in $CONF"
@@ -672,7 +679,7 @@ convertpath()
            /dev/*)
                [ "$VERBOSE" = 1 ] && echo "$PRG: Finding OpenFirmware device path to \`$darwin'..."
                local sdarwin="$darwin"
-               darwin="$(ofpath $darwin)"
+               darwin="$($OFPATH $darwin)"
                if [ $? != 0 ] ; then
                    echo 1>&2 "$PRG: Unable to determine OpenFirmware path for darwin=$sdarwin"
                    echo 1>&2 "$PRG: Try specifying the real OpenFirmware path for darwin=$sdarwin in $CONF"